import hmac
import os
def client_auth(conn, secret_key):
    message = conn.recv(64)
    hash = hmac.new(secret_key, message)
    digest = hash.digest()
    conn.send(digest)
def server_auth(conn, secret_key):
    message = os.urandom(64)
    conn.send(message)
    hash = hmac.new(secret_key, message)
    digest = hash.digest()
    resp = conn.recv(len(digest))
    return digest == resp