import numpy as np
from scipy.spatial import ConvexHull
import matplotlib.pyplot as plt
points = np.array([[2, 4], [3, 4], [3, 0], [2, 2], [4, 1], [5, 5], [6, 7]])
hull_points = ConvexHull(points).points
plt.scatter(points[:,0 ], points[:,1])
for simplex in hull_points:
    plt.plot(points[simplex,0], points[simplex,1 ], 'm-')
plt.show()